OracleAppConnectorModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppConnectorModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppConnectorModule

All Superinterfaces:
  ConfigurationItem, ConnectorModule, J2EEDeployedObject, J2EEModule, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule

    public interface OracleAppConnectorModule

extends ConnectorModule

OracleAppConnectorModule

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`OracleAppJ2EEApplication` | `getApplication()`
`java.lang.String` | `getEisType()`
`java.lang.String` | `getNativeLibraryPath()`
`java.lang.String` | `getPath()`
`LogicalContent` | `getProprietaryDeploymentDescriptor()`
`java.lang.String` | `getState()`
`boolean` | `hasApplication()`
`boolean` | `hasEisType()`
`boolean` | `hasNativeLibraryPath()`
`boolean` | `hasPath()`
`boolean` | `hasProprietaryDeploymentDescriptor()`
`boolean` | `hasState()`
`void` | `setApplication(OracleAppJ2EEApplication application)`
`void` | `setEisType(java.lang.String eisType)`
`void` | `setNativeLibraryPath(java.lang.String nativeLibraryPath)`
`void` | `setPath(java.lang.String path)`
`void` | `setProprietaryDeploymentDescriptor(LogicalContent descriptor)`
`void` | `setState(java.lang.String state)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEModule
`getComponents, getDeploymentDescriptor, hasComponents, hasDeploymentDescriptor, setComponents, setDeploymentDescriptor`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getApplication

    OracleAppJ2EEApplication getApplication()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplication

    void setApplication(OracleAppJ2EEApplication application)

### hasApplication

    boolean hasApplication()

### getState

    java.lang.String getState()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setState

    void setState(java.lang.String state)

### hasState

    boolean hasState()

### getProprietaryDeploymentDescriptor

    LogicalContent getProprietaryDeploymentDescriptor()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProprietaryDeploymentDescriptor

    void setProprietaryDeploymentDescriptor(LogicalContent descriptor)

### hasProprietaryDeploymentDescriptor

    boolean hasProprietaryDeploymentDescriptor()

### getEisType

    java.lang.String getEisType()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEisType

    void setEisType(java.lang.String eisType)

### hasEisType

    boolean hasEisType()

### getNativeLibraryPath

    java.lang.String getNativeLibraryPath()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNativeLibraryPath

    void setNativeLibraryPath(java.lang.String nativeLibraryPath)

### hasNativeLibraryPath

    boolean hasNativeLibraryPath()

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPath

    void setPath(java.lang.String path)

### hasPath

    boolean hasPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD